summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2005-06-30 17:05:02 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:59 -0500
commit7a4496f606ab3d6594489eeee89ed2140b8c7655 (patch)
treee23c94ce2f9330c373f762d7f673d7f5d09c8c58 /source4/script
parentce5882e82fa688532c3e0453c48d2b629538b0ed (diff)
downloadsamba-7a4496f606ab3d6594489eeee89ed2140b8c7655.tar.gz
samba-7a4496f606ab3d6594489eeee89ed2140b8c7655.tar.bz2
samba-7a4496f606ab3d6594489eeee89ed2140b8c7655.zip
r8020: - add --with-selftest-prefix option that specify the prefix used in make test
- also we use ./prefix test as default and not `pwd`/prefix-test to workaround the path length limit for unix sockets ... char sun_path[108]; ... metze (This used to be commit d04057b932266325b1267597b2bc202db392a88a)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/selftest.sh19
1 files changed, 13 insertions, 6 deletions
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index bf1b80c099..d99857f2d0 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -17,13 +17,20 @@ fi
PREFIX=$1
export PREFIX
-TMPDIR=$PREFIX/tmp
-LIBDIR=$PREFIX/lib
-PIDDIR=$PREFIX/pid
+mkdir -p $PREFIX || exit $?
+OLD_PWD=`pwd`
+cd $PREFIX || exit $?
+PREFIX_ABS=`pwd`
+export PREFIX_ABS
+cd $OLD_PWD
+
+TMPDIR=$PREFIX_ABS/tmp
+LIBDIR=$PREFIX_ABS/lib
+PIDDIR=$PREFIX_ABS/pid
CONFFILE=$LIBDIR/smb.conf
-PRIVATEDIR=$PREFIX/private
-NCALRPCDIR=$PREFIX/ncalrpc
-LOCKDIR=$PREFIX/lockdir
+PRIVATEDIR=$PREFIX_ABS/private
+NCALRPCDIR=$PREFIX_ABS/ncalrpc
+LOCKDIR=$PREFIX_ABS/lockdir
TLSDIR=$PRIVATEDIR/tls
CONFIGURATION="--configfile=$CONFFILE"
export CONFIGURATION